#version 460 core

#include "/lib/settings.glsl"

/* RENDERTARGETS: 0 */
layout(location = 0) out vec4 outColor0;

uniform float alphaTestRef, rainStrength;
uniform sampler2D gtexture;

in vec2 texCoord;

void main() {
	vec4 color = texture(gtexture, texCoord);
	color = vec4(color.rgb * SUN_BRIGHTNESS, max(0.0, color.a - rainStrength));

	if (color.a < alphaTestRef) discard;
	outColor0 = color;
}